List Customers
curl --request GET \
--url https://app.stickyqr.com/api/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.stickyqr.com/api/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.stickyqr.com/api/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"currentPage": 1,
"pageSize": 20,
"noCustomers": 123,
"data": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"avatar": "<string>",
"balance": 123,
"lifetimePoints": 123
}
]
}Customers
Customers
Returns a list of all customers
GET
/
customers
List Customers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Language support
Example:
"en"
Query Parameters
The page number to retrieve.
Example:
"1"
The number of items per page.
Example:
"50"
Response
200 - application/json
Successful Response / Successfull Response
Indicates whether more data pages are available
The current page number
The number of items returned per page
The number of customers returned in the current page
An array containing information about individual customers
Show child attributes
Show child attributes